Name:           ChezScheme
Version:        10.0.0
Release:        1%{?dist}
Summary:        Chez scheme

License:        Apache License Version 2.0
URL:            https://cisco.github.io/ChezScheme
Source0:        %{name}-%{version}.tar.gz
Source1:        https://github.com/nanopass/nanopass-framework-scheme/archive/v1.9.2.tar.gz
Source2:        https://github.com/madler/zlib/releases/download/v1.3/zlib-1.3.1.tar.xz
Source3:        https://github.com/lz4/lz4/archive/v1.9.3.tar.gz
Source4:        https://github.com/dybvig/stex/archive/v1.2.2.tar.gz
Source5:        https://github.com/racket/zuo/zuo.tar.xz

BuildRequires:  netpbm-progs

%description
Chez Scheme is both a programming language and an implementation of that language, with supporting tools and documentation.

%define arch_dir ta6le

%ifarch aarch64
%define arch_dir tarm64le
%endif

%prep
%setup -q -a 1 -a 2 -a 3 -a 4

rmdir nanopass
#tar -xvf %{SOURCE1}
mv nanopass-framework-scheme-1.9.2 nanopass

rmdir zlib
#tar -xvf %{SOURCE2}
mv zlib-1.3.1 zlib

rmdir lz4
#tar -xvf %{SOURCE3}
mv lz4-1.9.3 lz4

rmdir stex
#tar -xvf %{SOURCE4}
mv stex-1.2.2 stex

tar -xvf %{SOURCE5}

%build
./configure --threads --64 --installlib=/usr/lib64 --temproot=$RPM_BUILD_ROOT
make
#make docs # docs don't build on Rocky 8.9
# to be able to clean without prompting
find . -perm 444 -exec chmod 644 {} \;

%install
make install TempRoot=$RPM_BUILD_ROOT

mkdir -p                           $RPM_BUILD_ROOT/usr/share/doc/%{name}/
cp LICENSE                         $RPM_BUILD_ROOT/usr/share/doc/%{name}/
cp NOTICE                          $RPM_BUILD_ROOT/usr/share/doc/%{name}/
#cp csug/csug.pdf                   $RPM_BUILD_ROOT/usr/share/doc/%{name}/
#cp release_notes/release_notes.pdf $RPM_BUILD_ROOT/usr/share/doc/%{name}/
rm -f $RPM_BUILD_ROOT/usr/bin/petite $RPM_BUILD_ROOT/usr/bin/scheme $RPM_BUILD_ROOT/usr/bin/scheme-script
mv $RPM_BUILD_ROOT/usr/lib64/csv10.0.0/%{arch_dir}/petite        $RPM_BUILD_ROOT/usr/bin/
mv $RPM_BUILD_ROOT/usr/lib64/csv10.0.0/%{arch_dir}/scheme        $RPM_BUILD_ROOT/usr/bin/
mv $RPM_BUILD_ROOT/usr/lib64/csv10.0.0/%{arch_dir}/scheme-script $RPM_BUILD_ROOT/usr/bin/
find $RPM_BUILD_ROOT         -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT         -type f -exec chmod 644 {} \;
find $RPM_BUILD_ROOT/usr/bin -type f -exec chmod 755 {} \;

%files
%{_bindir}/*
%{_libdir}/*
%{_datadir}/doc/%{name}
%{_mandir}/man1/*

%doc

%changelog
* Sat May 25 2024 Builder <builder@fractal.zone>
- update to version 10.0.0

* Tue Jan 23 2024 Builder <builder@demi.com.au>
- update to version 9.6.4

* Tue Nov 15 2022 Builder <builder@demi.com.au>
- update to version 9.5.8

* Tue Sep 22 2020 Builder <builder@demi.com.au>
- update to version 9.5.4

* Wed Jun 06 2018 Builder <builder@demi.com.au>
- update to version 9.5.1

* Fri Mar 09 2018 Builder <builder@demi.com.au>
- Initial RPM build
